# Ogre::MouseMotionTarget Class Reference

Handles the adding and removing of MouseMotionListeners. More...

`#include <OgreMouseMotionTarget.h>`

Inheritance diagram for Ogre::MouseMotionTarget:

List of all members.

## Public Member Functions

| MouseMotionTarget ()
virtual | ~MouseMotionTarget ()
void | processMouseMotionEvent (MouseEvent *e)
void | addMouseMotionListener (MouseMotionListener *l)
void | removeMouseMotionListener (MouseMotionListener *l)
virtual Real | getLeft (void) const=0
| Gets the left of this element in relation to the screen (where 0 = far left, 1.0 = far right).
virtual Real | getTop (void) const=0
| Gets the top of this element in relation to the screen (where 0 = top, 1.0 = bottom).
virtual PositionTarget * | getPositionTargetParent () const=0
virtual bool | isKeyEnabled () const=0
virtual void | processEvent (InputEvent *e)=0

## Protected Attributes

std::set< MouseMotionListener * > | mMouseMotionListeners

## Private Attributes

std::set< MouseMotionListener * > | mRemovedListeners

## Detailed Description

Handles the adding and removing of MouseMotionListeners.

Remarks:
  Components that process the Mouse Motion Event should subclass this class and call processMouseMotionEvent when that event is identified.

Definition at line 52 of file OgreMouseMotionTarget.h.

## Constructor & Destructor Documentation

Ogre::MouseMotionTarget::MouseMotionTarget | ( |  | ) |

| Definition at line 61 of file OgreMouseMotionTarget.h.

virtual Ogre::MouseMotionTarget::~MouseMotionTarget | ( |  | ) | `[virtual]`

| Definition at line 62 of file OgreMouseMotionTarget.h.

## Member Function Documentation

void Ogre::MouseMotionTarget::addMouseMotionListener | ( | MouseMotionListener * | l | ) |

virtual Real Ogre::PositionTarget::getLeft | ( | void |  | ) | const`[pure virtual, inherited]`

| Gets the left of this element in relation to the screen (where 0 = far left, 1.0 = far right). Implemented in Ogre::Cursor, and Ogre::EventProcessor.

virtual PositionTarget* Ogre::PositionTarget::getPositionTargetParent | ( |  | ) | const`[pure virtual, inherited]`

| Implemented in Ogre::Cursor, and Ogre::EventProcessor.

virtual Real Ogre::PositionTarget::getTop | ( | void |  | ) | const`[pure virtual, inherited]`

| Gets the top of this element in relation to the screen (where 0 = top, 1.0 = bottom). Implemented in Ogre::Cursor, and Ogre::EventProcessor.

virtual bool Ogre::PositionTarget::isKeyEnabled | ( |  | ) | const`[pure virtual, inherited]`

| Implemented in Ogre::Cursor, and Ogre::EventProcessor.

virtual void Ogre::EventTarget::processEvent | ( | InputEvent * | e | ) | `[pure virtual, inherited]`

| Implemented in Ogre::Cursor, and Ogre::EventProcessor.

void Ogre::MouseMotionTarget::processMouseMotionEvent | ( | MouseEvent * | e | ) |

void Ogre::MouseMotionTarget::removeMouseMotionListener | ( | MouseMotionListener * | l | ) |

## Member Data Documentation

std::set<MouseMotionListener*> Ogre::MouseMotionTarget::mMouseMotionListeners `[protected]`

| Definition at line 58 of file OgreMouseMotionTarget.h.

std::set<MouseMotionListener*> Ogre::MouseMotionTarget::mRemovedListeners `[private]`

| Definition at line 55 of file OgreMouseMotionTarget.h.

The documentation for this class was generated from the following file:

- OgreMouseMotionTarget.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:37:33 2005